{ config, lib, pkgs, ... }:

let cfg = config.sydnix.users.msyds.hunspell;
in {
  options.sydnix.users.msyds.hunspell = {
    enable = lib.mkEnableOption "Hunspell";
  };

  config = lib.mkIf cfg.enable {
    sydnix.hunspell = {
      enable = true;
      dictionaries = ds: with ds; [
        en_US
        en_GB-ise # en_GB with -ise endings.
        ko_KR
      ];
    };
  };
}
